Skip to main content
`Ctrl`+`K`

# rocSPARSE profiling functions

This module contains all routines useful for profiling rocSPARSE programs.

## rocsparse_enable_roctx()

void rocsparse_enable_roctx()

  Enable rocTX instrumentation.

  Note

  This routine ignores the environment variable ROCSPARSE_ROCTX.

## rocsparse_disable_roctx()

void rocsparse_disable_roctx()

  Disable rocTX instrumentation.

  Note

  This routine ignores the environment variable ROCSPARSE_ROCTX.

## rocsparse_state_roctx()

int rocsparse_state_roctx()

  Query whether rocTX instrumentation has been enabled. See rocsparse_enable_roctx.

  Returns:

    1 if enabled, 0 otherwise.